COD Payments
Create a payment transaction for Cash on Delivery. Once the COD transaction API is hit, the transaction will routed via CASH gateway and the status will be directly marked COD_INITIATED.
application/x-www-form-urlencoded
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.
This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.
Example:- customer_1122
order_id pertaining to the order for which the payment is started.
ID of the merchant_account that you hold with us.
Must be CASH.
Must be CASH.
This is a boolean variable and accepts true/false. We recommend that you set this to true and use the redirection flow. If set to true, then the user is redirected to the return_url configured for the order. If set to false, then the user will be stopped at the response page from the gateway. Your client should be able to read the page/title to infer that the user has completed the transaction.
f it is set to json, then the response will be HTTP 200 with a JSON formatted text. Otherwise, the response is HTTP 302 with the Location attribute having the destination URL.
:order_id
:txn_id
PENDING_VBV
Only when you have POST as the authentication method
error
Order timed out
invalid_request

